Build failed in Jenkins: osv-build #992

40 views
Skip to first unread message

a...@cloudius-systems.com

unread,
Oct 12, 2015, 8:38:49 AM10/12/15
to osv...@googlegroups.com, justin....@xlab.si, n...@cloudius-systems.com, a...@cloudius-systems.com
See <http://jenkins.cloudius-systems.com:8080/job/osv-build/992/>

------------------------------------------
Started by GitHub push by avikivity
[EnvInject] - Loading node environment variables.
Building on master in workspace <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/>
Cloning the remote Git repository
Cloning repository https://github.com/cloudius-systems/osv
> git init <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/> # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
> git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git rev-parse refs/remotes/origin/master^{commit} # timeout=10
> git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision c60331da68b075feddecb04394015cf07310b87c (refs/remotes/origin/master)
> git config core.sparsecheckout # timeout=10
> git checkout -f c60331da68b075feddecb04394015cf07310b87c
> git rev-list 1c7136c9521a3a518d1c20212ac145b377b9235b # timeout=10
> git remote # timeout=10
> git submodule init # timeout=10
> git submodule sync # timeout=10
> git config --get remote.origin.url # timeout=10
> git submodule update --init --recursive
ERROR: Timeout after 10 minutes
FATAL: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'apps': checked out '8ccc7348b1c1f64ef5b3ff636f16aec3d064d129'
Submodule path 'external/aarch64/gcc.bin': checked out 'ec73300374d85693a2c2ce79269fbba1c447629f'
Submodule path 'external/aarch64/misc.bin': checked out '93fca80a33126988ba7a47c3e1b9208129ad47c2'

stderr: Cloning into 'apps'...
Cloning into 'external/aarch64/gcc.bin'...
Cloning into 'external/aarch64/misc.bin'...
Cloning into 'external/aarch64/openjdk.bin'...
/usr/libexec/git-core/git-submodule: line 725: 2405 Done module_list "$@"
2406 Terminated | { err=; while read mode sha1 stage sm_path; do
die_if_unmatched "$mode"; if test "$stage" = U; then
echo "Skipping unmerged submodule $prefix$sm_path" 1>&2; continue;
fi; name=$(module_name "$sm_path") || exit; url=$(git config submodule."$name".url); branch=$(get_submodule_config "$name" branch master); if ! test -z "$update"; then
update_module=$update;
else
update_module=$(git config submodule."$name".update); if test -z "$update_module"; then
update_module="checkout";
fi;
fi; displaypath=$(relative_path "$prefix$sm_path"); if test "$update_module" = "none"; then
echo "Skipping submodule '$displaypath'"; continue;
fi; if test -z "$url"; then
test "$#" != "0" && say "$(eval_gettext "Submodule path '\$displaypath' not initialized
Maybe you want to use 'update --init'?")"; continue;
fi; if ! test -d "$sm_path"/.git && ! test -f "$sm_path"/.git; then
module_clone "$sm_path" "$name" "$url" "$reference" "$depth" || exit; cloned_modules="$cloned_modules;$name"; subsha1=;
else
subsha1=$(clear_local_git_env; cd "$sm_path" &&
git rev-parse --verify HEAD) || die "$(eval_gettext "Unable to find current revision in submodule path '\$displaypath'")";
fi; if test -n "$remote"; then
if test -z "$nofetch"; then
( clear_local_git_env; cd "$sm_path" && git-fetch ) || die "$(eval_gettext "Unable to fetch in submodule path '\$sm_path'")";
fi; remote_name=$(clear_local_git_env; cd "$sm_path" && get_default_remote); sha1=$(clear_local_git_env; cd "$sm_path" &&
git rev-parse --verify "${remote_name}/${branch}") || die "$(eval_gettext "Unable to find current ${remote_name}/${branch} revision in submodule path '\$sm_path'")";
fi; if test "$subsha1" != "$sha1" || test -n "$force"; then
subforce=$force; if test -z "$subsha1" && test -z "$force"; then
subforce="-f";
fi; if test -z "$nofetch"; then
( clear_local_git_env; cd "$sm_path" && ( ( rev=$(git rev-list -n 1 $sha1 --not --all 2>/dev/null) && test -z "$rev" ) || git-fetch ) ) || die "$(eval_gettext "Unable to fetch in submodule path '\$displaypath'")";
fi; case ";$cloned_modules;" in
*";$name;"*)
update_module=checkout
;;
esac; must_die_on_failure=; case "$update_module" in
checkout)
command="git checkout $subforce -q"; die_msg="$(eval_gettext "Unable to checkout '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': checked out '\$sha1'")"
;;
rebase)
command="git rebase"; die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': rebased into '\$sha1'")"; must_die_on_failure=yes
;;
merge)
command="git merge"; die_msg="$(eval_gettext "Unable to merge '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': merged in '\$sha1'")"; must_die_on_failure=yes
;;
!*)
command="${update_module#!}"; die_msg="$(eval_gettext "Execution of '\$command \$sha1' failed in submodule path '\$prefix\$sm_path'")"; say_msg="$(eval_gettext "Submodule path '\$prefix\$sm_path': '\$command \$sha1'")"; must_die_on_failure=yes
;;
*)
die "$(eval_gettext "Invalid update mode '$update_module' for submodule '$name'")"
;;
esac; if ( clear_local_git_env; cd "$sm_path" && $command "$sha1" ); then
say "$say_msg";
else
if test -n "$must_die_on_failure"; then
die_with_status 2 "$die_msg";
else
err="${err};$die_msg"; continue;
fi;
fi;
fi; if test -n "$recursive"; then
( prefix="$prefix$sm_path/"; clear_local_git_env; cd "$sm_path" && eval cmd_update ); res=$?; if test $res -gt 0; then
die_msg="$(eval_gettext "Failed to recurse into submodule path '\$displaypath'")"; if test $res -eq 1; then
err="${err};$die_msg"; continue;
else
die_with_status $res "$die_msg";
fi;
fi;
fi;
done; if test -n "$err"; then
OIFS=$IFS; IFS=';'; for e in $err;
do
if test -n "$e"; then
echo "$e" 1>&2;
fi;
done; IFS=$OIFS; exit 1;
fi; }

hudson.plugins.git.GitException: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'apps': checked out '8ccc7348b1c1f64ef5b3ff636f16aec3d064d129'
Submodule path 'external/aarch64/gcc.bin': checked out 'ec73300374d85693a2c2ce79269fbba1c447629f'
Submodule path 'external/aarch64/misc.bin': checked out '93fca80a33126988ba7a47c3e1b9208129ad47c2'

stderr: Cloning into 'apps'...
Cloning into 'external/aarch64/gcc.bin'...
Cloning into 'external/aarch64/misc.bin'...
Cloning into 'external/aarch64/openjdk.bin'...
/usr/libexec/git-core/git-submodule: line 725: 2405 Done module_list "$@"
2406 Terminated | { err=; while read mode sha1 stage sm_path; do
die_if_unmatched "$mode"; if test "$stage" = U; then
echo "Skipping unmerged submodule $prefix$sm_path" 1>&2; continue;
fi; name=$(module_name "$sm_path") || exit; url=$(git config submodule."$name".url); branch=$(get_submodule_config "$name" branch master); if ! test -z "$update"; then
update_module=$update;
else
update_module=$(git config submodule."$name".update); if test -z "$update_module"; then
update_module="checkout";
fi;
fi; displaypath=$(relative_path "$prefix$sm_path"); if test "$update_module" = "none"; then
echo "Skipping submodule '$displaypath'"; continue;
fi; if test -z "$url"; then
test "$#" != "0" && say "$(eval_gettext "Submodule path '\$displaypath' not initialized
Maybe you want to use 'update --init'?")"; continue;
fi; if ! test -d "$sm_path"/.git && ! test -f "$sm_path"/.git; then
module_clone "$sm_path" "$name" "$url" "$reference" "$depth" || exit; cloned_modules="$cloned_modules;$name"; subsha1=;
else
subsha1=$(clear_local_git_env; cd "$sm_path" &&
git rev-parse --verify HEAD) || die "$(eval_gettext "Unable to find current revision in submodule path '\$displaypath'")";
fi; if test -n "$remote"; then
if test -z "$nofetch"; then
( clear_local_git_env; cd "$sm_path" && git-fetch ) || die "$(eval_gettext "Unable to fetch in submodule path '\$sm_path'")";
fi; remote_name=$(clear_local_git_env; cd "$sm_path" && get_default_remote); sha1=$(clear_local_git_env; cd "$sm_path" &&
git rev-parse --verify "${remote_name}/${branch}") || die "$(eval_gettext "Unable to find current ${remote_name}/${branch} revision in submodule path '\$sm_path'")";
fi; if test "$subsha1" != "$sha1" || test -n "$force"; then
subforce=$force; if test -z "$subsha1" && test -z "$force"; then
subforce="-f";
fi; if test -z "$nofetch"; then
( clear_local_git_env; cd "$sm_path" && ( ( rev=$(git rev-list -n 1 $sha1 --not --all 2>/dev/null) && test -z "$rev" ) || git-fetch ) ) || die "$(eval_gettext "Unable to fetch in submodule path '\$displaypath'")";
fi; case ";$cloned_modules;" in
*";$name;"*)
update_module=checkout
;;
esac; must_die_on_failure=; case "$update_module" in
checkout)
command="git checkout $subforce -q"; die_msg="$(eval_gettext "Unable to checkout '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': checked out '\$sha1'")"
;;
rebase)
command="git rebase"; die_msg="$(eval_gettext "Unable to rebase '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': rebased into '\$sha1'")"; must_die_on_failure=yes
;;
merge)
command="git merge"; die_msg="$(eval_gettext "Unable to merge '\$sha1' in submodule path '\$displaypath'")"; say_msg="$(eval_gettext "Submodule path '\$displaypath': merged in '\$sha1'")"; must_die_on_failure=yes
;;
!*)
command="${update_module#!}"; die_msg="$(eval_gettext "Execution of '\$command \$sha1' failed in submodule path '\$prefix\$sm_path'")"; say_msg="$(eval_gettext "Submodule path '\$prefix\$sm_path': '\$command \$sha1'")"; must_die_on_failure=yes
;;
*)
die "$(eval_gettext "Invalid update mode '$update_module' for submodule '$name'")"
;;
esac; if ( clear_local_git_env; cd "$sm_path" && $command "$sha1" ); then
say "$say_msg";
else
if test -n "$must_die_on_failure"; then
die_with_status 2 "$die_msg";
else
err="${err};$die_msg"; continue;
fi;
fi;
fi; if test -n "$recursive"; then
( prefix="$prefix$sm_path/"; clear_local_git_env; cd "$sm_path" && eval cmd_update ); res=$?; if test $res -gt 0; then
die_msg="$(eval_gettext "Failed to recurse into submodule path '\$displaypath'")"; if test $res -eq 1; then
err="${err};$die_msg"; continue;
else
die_with_status $res "$die_msg";
fi;
fi;
fi;
done; if test -n "$err"; then
OIFS=$IFS; IFS=';'; for e in $err;
do
if test -n "$e"; then
echo "$e" 1>&2;
fi;
done; IFS=$OIFS; exit 1;
fi; }

at org.jenkinsci.plugins.gitclient.CliGitAPIImpl.launchCommandIn(CliGitAPIImpl.java:1640)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl.access$500(CliGitAPIImpl.java:62)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl$6.execute(CliGitAPIImpl.java:904)
at hudson.plugins.git.extensions.impl.SubmoduleOption.onCheckoutCompleted(SubmoduleOption.java:83)
at hudson.plugins.git.GitSCM.checkout(GitSCM.java:1074)
at hudson.scm.SCM.checkout(SCM.java:485)
at hudson.model.AbstractProject.checkout(AbstractProject.java:1277)
at hudson.model.AbstractBuild$AbstractBuildExecution.defaultCheckout(AbstractBuild.java:610)
at jenkins.scm.SCMCheckoutStrategy.checkout(SCMCheckoutStrategy.java:86)
at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:532)
at hudson.model.Run.execute(Run.java:1741)
at hudson.model.FreeStyleBuild.run(FreeStyleBuild.java:43)
at hudson.model.ResourceController.execute(ResourceController.java:98)
at hudson.model.Executor.run(Executor.java:408)

a...@cloudius-systems.com

unread,
Oct 18, 2015, 4:08:31 AM10/18/15
to osv...@googlegroups.com, a...@cloudius-systems.com, n...@cloudius-systems.com, justin....@xlab.si
See <http://jenkins.cloudius-systems.com:8080/job/osv-build/993/>

------------------------------------------
Started by GitHub push by avikivity
[EnvInject] - Loading node environment variables.
Building on master in workspace <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/>
> git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git rev-parse refs/remotes/origin/master^{commit} # timeout=10
> git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision dc6abb5a08aed1a515921d45b72a31c421cd2a84 (refs/remotes/origin/master)
> git config core.sparsecheckout # timeout=10
> git checkout -f dc6abb5a08aed1a515921d45b72a31c421cd2a84
> git rev-list c60331da68b075feddecb04394015cf07310b87c # timeout=10
> git remote # timeout=10
> git submodule init # timeout=10
> git submodule sync # timeout=10
> git config --get remote.origin.url # timeout=10
> git submodule update --init --recursive
ERROR: Timeout after 10 minutes
FATAL: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'external/aarch64/openjdk.bin': checked out '443f2cca797910915274a0a3a42ea8a67752c063'

stderr: Cloning into 'external/aarch64/openjdk.bin'...
Cloning into 'external/x64/acpica'...
error: index-pack died of signal 15
fatal: index-pack failed

hudson.plugins.git.GitException: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'external/aarch64/openjdk.bin': checked out '443f2cca797910915274a0a3a42ea8a67752c063'

stderr: Cloning into 'external/aarch64/openjdk.bin'...
Cloning into 'external/x64/acpica'...
error: index-pack died of signal 15
fatal: index-pack failed

a...@cloudius-systems.com

unread,
Oct 18, 2015, 4:51:13 AM10/18/15
to osv...@googlegroups.com, a...@cloudius-systems.com, n...@cloudius-systems.com, justin....@xlab.si
See <http://jenkins.cloudius-systems.com:8080/job/osv-build/994/>

------------------------------------------
Started by user Avi Kivity
Started by GitHub push by avikivity
[EnvInject] - Loading node environment variables.
Building on master in workspace <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/>
> git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git rev-parse refs/remotes/origin/master^{commit} # timeout=10
> git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 375389021875494353cdb5069982d051f29a1782 (refs/remotes/origin/master)
> git config core.sparsecheckout # timeout=10
> git checkout -f 375389021875494353cdb5069982d051f29a1782
> git rev-list dc6abb5a08aed1a515921d45b72a31c421cd2a84 # timeout=10
> git remote # timeout=10
> git submodule init # timeout=10
> git submodule sync # timeout=10
> git config --get remote.origin.url # timeout=10
> git submodule update --init --recursive
ERROR: Timeout after 10 minutes
FATAL: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'external/x64/acpica': checked out '3e45e0f2383cabdc00275c00a12ea8797f285c30'
Submodule path 'external/x64/gcc.bin': checked out '588fda357d3234e237ef1f81aa6594c10d168783'
Submodule path 'external/x64/glibc-testsuite': checked out 'c1278866ed57e51576a78b71c6326115004a9676'

stderr: Cloning into 'external/x64/acpica'...
Cloning into 'external/x64/gcc.bin'...
Cloning into 'external/x64/glibc-testsuite'...
Cloning into 'external/x64/glibc.bin'...
error: index-pack died of signal 15
fatal: index-pack failed

hudson.plugins.git.GitException: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'external/x64/acpica': checked out '3e45e0f2383cabdc00275c00a12ea8797f285c30'
Submodule path 'external/x64/gcc.bin': checked out '588fda357d3234e237ef1f81aa6594c10d168783'
Submodule path 'external/x64/glibc-testsuite': checked out 'c1278866ed57e51576a78b71c6326115004a9676'

stderr: Cloning into 'external/x64/acpica'...
Cloning into 'external/x64/gcc.bin'...
Cloning into 'external/x64/glibc-testsuite'...
Cloning into 'external/x64/glibc.bin'...

Nadav Har'El

unread,
Oct 18, 2015, 5:00:11 AM10/18/15
to Avi Kivity, Osv Dev, justinc1
This is the second time today I'm seeing such a testing error, and it seems to shows a problem on the test machine (very slow network day?) - not an actual error in OSv.

Nadav Har'El
n...@scylladb.com

a...@cloudius-systems.com

unread,
Oct 18, 2015, 5:14:59 AM10/18/15
to osv...@googlegroups.com, a...@cloudius-systems.com, n...@cloudius-systems.com, justin....@xlab.si
See <http://jenkins.cloudius-systems.com:8080/job/osv-build/995/>

------------------------------------------
Started by user Avi Kivity
[EnvInject] - Loading node environment variables.
Building on master in workspace <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/>
Cloning the remote Git repository
Cloning repository https://github.com/cloudius-systems/osv
> git init <http://jenkins.cloudius-systems.com:8080/job/osv-build/ws/> # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
> git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
> git config remote.origin.url https://github.com/cloudius-systems/osv # timeout=10
Fetching upstream changes from https://github.com/cloudius-systems/osv
> git -c core.askpass=true fetch --tags --progress https://github.com/cloudius-systems/osv +refs/heads/*:refs/remotes/origin/* # timeout=60
> git rev-parse refs/remotes/origin/master^{commit} # timeout=10
> git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 375389021875494353cdb5069982d051f29a1782 (refs/remotes/origin/master)
> git config core.sparsecheckout # timeout=10
> git checkout -f 375389021875494353cdb5069982d051f29a1782
> git rev-list 375389021875494353cdb5069982d051f29a1782 # timeout=10
> git remote # timeout=10
> git submodule init # timeout=10
> git submodule sync # timeout=10
> git config --get remote.origin.url # timeout=10
> git submodule update --init --recursive
ERROR: Timeout after 10 minutes
FATAL: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'apps': checked out '8ccc7348b1c1f64ef5b3ff636f16aec3d064d129'
Submodule path 'external/aarch64/gcc.bin': checked out 'ec73300374d85693a2c2ce79269fbba1c447629f'
Submodule path 'external/aarch64/misc.bin': checked out '93fca80a33126988ba7a47c3e1b9208129ad47c2'
Submodule path 'external/aarch64/openjdk.bin': checked out '443f2cca797910915274a0a3a42ea8a67752c063'

stderr: Cloning into 'apps'...
Cloning into 'external/aarch64/gcc.bin'...
Cloning into 'external/aarch64/misc.bin'...
Cloning into 'external/aarch64/openjdk.bin'...
Cloning into 'external/x64/acpica'...

hudson.plugins.git.GitException: Command "git submodule update --init --recursive" returned status code 143:
stdout: Submodule path 'apps': checked out '8ccc7348b1c1f64ef5b3ff636f16aec3d064d129'
Submodule path 'external/aarch64/gcc.bin': checked out 'ec73300374d85693a2c2ce79269fbba1c447629f'
Submodule path 'external/aarch64/misc.bin': checked out '93fca80a33126988ba7a47c3e1b9208129ad47c2'
Submodule path 'external/aarch64/openjdk.bin': checked out '443f2cca797910915274a0a3a42ea8a67752c063'

stderr: Cloning into 'apps'...
Cloning into 'external/aarch64/gcc.bin'...
Cloning into 'external/aarch64/misc.bin'...
Cloning into 'external/aarch64/openjdk.bin'...
Cloning into 'external/x64/acpica'...

Reply all
Reply to author
Forward
0 new messages